Glib::Value< T* > Class Template Reference
Generic Values

Specialization for pointers to instances of any type. More...

`#include <glibmm/value_custom.h>`

Inheritance diagram for Glib::Value< T * >:
[legend]

## Additional Inherited Members

Public Types inherited from Glib::Value_Pointer< T, T* >
using | CppType = T*
using | CType = void*
Public Member Functions inherited from Glib::Value_Pointer< T, T* >
void | set (CppType data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const
Static Public Member Functions inherited from Glib::Value_Pointer< T, T* >
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Object
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<class T>
class Glib::Value< T * >

Specialization for pointers to instances of any type.

No attempt is made to manage the memory associated with the pointer, you must take care of that yourself.